SpyderBar Help

    Chapters

  • Options

  • Controls

  • Panels

  • Features

  • Flicking

  • Configuring Panels

  • Customizing the UI

  • Translucency

  • Working with the XML

  • FAQ


SpyderBar Help :: Controls

No Background

  • This option removes any background that is currently applied to SpyderBar.

Dock Left / UnDock

  • Moves SpyderBar to the left side of the Desktop. If pressed again it docks or undocks. If docked it does not allow maxiamized windows to overlap.

Dock Right / UnDock

    Moves SpyderBar to the right side of the Desktop. If pressed again it docks or undocks. If docked it does not allow maxiamized windows to overlap.

Next Skin

  • Applies the next skin to SpyderBar.

Previous Skin

  • Applies the previous skin to SpyderBar.

About

  • Displays current version number along with author of SpyderBar.

Help

  • Opens SpyderBar help file.

Exit SpyderBar

  • Closes SpyderBar.


SpyderBar :: FAQ

How do I add a panel?

How do I remove a panel?

How do I move my panel?

How do I ...?

How do I ...?

How do I ...?

How do I ...?


SpyderBar Help :: Features

RSS Reader

Perfmon

Weather


SpyderBar Help :: Flicking

SpyderBar has added this new feature called flicking. Flicking allows you to toss any panel across the desktop.

By left clicking and holding, on the window that you wish to flick, and moving the mouse in the direction that you want to toss the panel then releasing the left mouse button while still in motion.

This will result in the panel being thrown across the desktop and out of your way.


SpyderBar Help :: Panels

Move Panel Up

  • Selecting Move Panel Up from the right click menu allows you to shift the panel up a level. Customizing the panels the way you want to see them.

Move Panel Down

  • Selecting Move Panel Down from the right click menu allows you to shift the panel down a level.

Show Panel Header

  • Selecting this box will display the Header of the panel. The header is more like the title bar for the panel.

Auto Fit Panel

Dock Panel

  • If this is selected the panel will be docked inside of Spyderbar, otherwise the panel can be placed anywhere you want on the desktop.

Adding Panels

    Panels can be added in two ways.
  • The first is by going into the SpyderBar Properties and using the Adding Panel tool.
  • The other involves right clicking on SpyderBar and selecting "Add Panel" this will open an Add Panel menu where you can pick which panel you would like to add.

Removing Panels

    Removing panels can also be done in two ways.
  • The first can be done by going to Properties and removing the panel from your personal settings.
  • The other way can be done simply by right click on the panel that you would like to be removed and selecting "Remove Panel".

Removing Panel Group

  • Right click on SpyderBar and selecting Remove Panel Group allows you to remove the entire group that the panel is associated with.

Properties

  • Selecting this option displays the properties of the SpyderBar.

Help

  • Opens the SpyderBar Help file.

Exit SpyderBar

  • Closes SpyderBar

Skins

  • This displays a menu of all the different skins that can be applied to SpyderBar.


SpyderBar :: Translucency

SpyderBar :: Translucent

As skinners we know transparent by “pink”. Our old friend RGB 255,255,0. Pink represents what the user will not see. The pink pixels are turned off allowing the background to pass through. It is strictly that, on or off, a 1 bit alpha channel. Translucent pixels on the other hand allow the ability to adjust how much or how little the background blends through. In other words, a translucent pixel allows you to see partially through it. Most skinning in the past dealt mainly with transparent pixels (e.g. Microsoft Visual Styles and Windows Media Player skins). SpyderBar skins use the more advanced translucent pixels. The gaming industry has used translucent pixels for over a decade, which is why games are so realistic. Transparency is fine and well, but if you want to bring your creation to the next level translucency is your answer.

Here is an example of transparency used in a Windows Media Player skin:

Here is that image zoomed in:

The edges of the skin are hard and jagged. This is known as stair-stepping. It would be more attractive if the edges blended in with the background.